Package it.ernytech.tdlib

## Class TdApi.PaymentForm

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PaymentForm

Enclosing class:
  TdApi

    public static class TdApi.PaymentForm
    extends TdApi.Object

Contains information about an invoice payment form.

### Field Summary

Fields
`boolean` `canSaveCredentials` True, if the user can choose to save credentials.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Invoice` `invoice` Full information of the invoice.
`boolean` `needPassword` True, if the user will be able to save credentials protected by a password they set up.
`TdApi.PaymentsProviderStripe` `paymentsProvider` Contains information about the payment provider, if available, to support it natively without the need for opening the URL; may be null.
`TdApi.SavedCredentials` `savedCredentials` Contains information about saved card credentials; may be null.
`TdApi.OrderInfo` `savedOrderInfo` Saved server-side order information; may be null.
`java.lang.String` `url` Payment form URL.

### Constructor Summary

Constructors
`PaymentForm()` Default constructor.
`PaymentForm​(TdApi.Invoice invoice, java.lang.String url, TdApi.PaymentsProviderStripe paymentsProvider, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials savedCredentials, boolean canSaveCredentials, boolean needPassword)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### invoice

    public TdApi.Invoice invoice

Full information of the invoice.

#### url

    public java.lang.String url

Payment form URL.

#### paymentsProvider

    public TdApi.PaymentsProviderStripe paymentsProvider

Contains information about the payment provider, if available, to support it natively without the need for opening the URL; may be null.

#### savedOrderInfo

    public TdApi.OrderInfo savedOrderInfo

Saved server-side order information; may be null.

#### savedCredentials

    public TdApi.SavedCredentials savedCredentials

Contains information about saved card credentials; may be null.

#### canSaveCredentials

    public boolean canSaveCredentials

True, if the user can choose to save credentials.

#### needPassword

    public boolean needPassword

True, if the user will be able to save credentials protected by a password they set up.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PaymentForm

    public PaymentForm()

Default constructor.

#### PaymentForm

    public PaymentForm​(TdApi.Invoice invoice,
                       java.lang.String url,
                       TdApi.PaymentsProviderStripe paymentsProvider,
                       TdApi.OrderInfo savedOrderInfo,
                       TdApi.SavedCredentials savedCredentials,
                       boolean canSaveCredentials,
                       boolean needPassword)

Constructor for initialization of all fields.

Parameters:
  `invoice` - Full information of the invoice.
  `url` - Payment form URL.
  `paymentsProvider` - Contains information about the payment provider, if available, to support it natively without the need for opening the URL; may be null.
  `savedOrderInfo` - Saved server-side order information; may be null.
  `savedCredentials` - Contains information about saved card credentials; may be null.
  `canSaveCredentials` - True, if the user can choose to save credentials.
  `needPassword` - True, if the user will be able to save credentials protected by a password they set up.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR